import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'

import 'virtual:svg-icons-register'
import SvgIcon from '@/components/SvgIcon'
import elementIcons from '@/components/SvgIcon/svgicon'
import 'swiper/dist/css/swiper.css'

const app = createApp(App)
app.use(router)
app.use(ElementPlus)
app.use(elementIcons)
app.component('svg-icon', SvgIcon)
app.mount('#app')

app.directive('scale', {
  mounted(el,binding) {
    el.onmouseenter = () => {
      el.style.transform = 'scale('+ binding.value +')'
    }

    el.onmouseleave = () => {
      el.style.transform = 'scale(1)'
    }
  }
})