import { createWebHistory, createRouter } from 'vue-router'

const constantRoutes = [
  {
    path: '/',
    component: () => import('@/layout/index'),
    redirect: '/home',
    children: [
      {
        path: '/home',
        name: 'home',
        component: () => import('@/views/home')
      },
      {
        path: '/intro',
        name: 'intro',
        component: () => import('@/views/intro')
      },
      {
        path: '/intro-detail',
        name: 'intro-detail',
        component: () => import('@/views/intro/detail')
      },
      {
        path: '/blog',
        name: 'blog',
        component: () => import('@/views/blog')
      },
      {
        path: '/blog-detail',
        name: 'blog-detail',
        component: () => import('@/views/blog/detail')
      },
      {
        path: '/blog-write',
        name: 'blog-write',
        component: () => import('@/views/blog/submit')
      },
      {
        path: '/product',
        name: 'product',
        component: () => import('@/views/product')
      },
      {
        path: '/product-detail',
        name: 'product-detail',
        component: () => import('@/views/product/detail')
      },
      {
        path: '/book',
        name: 'book',
        component: () => import('@/views/book')
      },
      {
        path: '/purpose',
        name: 'purpose',
        component: () => import('@/views/purpose')
      },
      {
        path: '/purpose-detail',
        name: 'purpose-detail',
        component: () => import('@/views/purpose/detail')
      },
      {
        path: '/user',
        name: 'user',
        component: () => import('@/views/user')
      },
    ]
  }
]

const router = createRouter({
  history: createWebHistory(),
  routes: constantRoutes,
});

export default router;
